//RC Controller code for Tank ii

#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>

RF24 radio(8,9); //CE, CSN
const byte address[6] = "00001";

char xyData[32] = "";
String Rpot, Lpot, RXJ, RB, RYJ, LXJ, LYJ, LB;
 
int delaytime = 20;

void setup() {
  Serial.begin(9600);
  radio.begin();
  radio.openWritingPipe(address);
  radio.setPALevel(RF24_PA_MIN);
  radio.stopListening();

  pinMode(2, INPUT_PULLUP); //pullup makes the pin high or give the value of 1 when button not pressed   
  pinMode(3, INPUT_PULLUP);

}

void loop() {
  Rpot = analogRead(A3); //Read the Right Potentiometer 
  Lpot = analogRead(A2);
  RXJ = analogRead(A4);  //Read the X-axis on Right Joystick 
  RYJ = analogRead(A5);  //Read the Y-axis on Right Joystick
  RB = digitalRead(2);  //Read the Button on Right Joyatick
  LXJ = analogRead(A0);
  LYJ = analogRead(A1);
  LB = digitalRead(3);

  Serial.print("Rpot: ");
  Serial.print(Rpot);
  Serial.print(" | Lpot: ");
  Serial.print(Lpot);
  Serial.print(" | RXJ: ");
  Serial.print(RXJ);
  Serial.print(" | RYJ: ");
  Serial.print(RYJ);
  Serial.print(" | RB: ");
  Serial.print(RB);
  Serial.print(" | LXJ: ");
  Serial.print(LXJ);
  Serial.print(" | LYJ: ");
  Serial.print(LYJ);
  Serial.print(" | LB: ");
  Serial.println(LB);
  
  delay(20);

  //Send out X-axis on Left Joystick 
  LXJ.toCharArray(xyData, 5); //Put the String into a character array
  radio.write(&xyData, sizeof(xyData)); //Send the array data to the other NRF24l01

  //Send out Y-axis on Left Joystick
  LYJ.toCharArray(xyData, 5);
  radio.write(&xyData, sizeof(xyData));

  //Send out Y-axis on the Right Joystick
  RYJ.toCharArray(xyData, 5);
  radio.write(&xyData, sizeof(xyData));

  delay(20);

}
